Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.xmlgraphics.image.writer
Enum Endianness

    java.lang.Object
      java.lang.Enum<Endianness>
          org.apache.xmlgraphics.image.writer.Endianness

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Endianness>

    public enum Endianness

extends java.lang.Enum<Endianness>

Enumeration for specifying the endianness of the image.

See Also:
  Wikipedia on Endianness

Enum Constant Summary
`BIG_ENDIAN` Big endian, most significant byte first, MSB, Motorola Format.
`DEFAULT` Default endianness.
`LITTLE_ENDIAN` Little endian, least significant byte first, LSB, Intel Format.

Method Summary
`static Endianness` | `getEndianType(java.lang.String value)` Translates an endian type specified in the configuration file into the equivalent type should one exist.
`static Endianness` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Endianness[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final Endianness DEFAULT

  Default endianness. This can be different depending on the output format or is used when the image format doesn't allow to specify the endianness.

### LITTLE_ENDIAN

    public static final Endianness LITTLE_ENDIAN

  Little endian, least significant byte first, LSB, Intel Format.

### BIG_ENDIAN

    public static final Endianness BIG_ENDIAN

  Big endian, most significant byte first, MSB, Motorola Format.

Method Detail

### values

    public static Endianness[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Endianness c : Endianness.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Endianness valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getEndianType

    public static Endianness getEndianType(java.lang.String value)

  Translates an endian type specified in the configuration file into the equivalent type should one exist.

  Parameters:
    `value` - The value specified in the configration file
  Returns:
    Returns the Endianess object of the found type. If no type matches it returns null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 2.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.